Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Event_Binder Class Reference

Implement an auto_ptr-like class for the TAO_LF_Followers allocated via a TAO_Leader_Follower set. More...

`#include <LF_Event_Binder.h>`

Collaboration diagram for TAO_LF_Event_Binder:

[legend]
List of all members.

## Public Methods
| TAO_LF_Event_Binder (TAO_LF_Event *event, TAO_LF_Follower *folloer)
| Constructor.
| ~TAO_LF_Event_Binder (void)
| Destructor.
## Private Attributes
TAO_LF_Event * | event_
| Keep a reference to the leader follower.

## Detailed Description

Implement an auto_ptr-like class for the TAO_LF_Followers allocated via a TAO_Leader_Follower set.

The Leader/Follower set is a factory for TAO_LF_Follower objects

## Constructor & Destructor Documentation

ACE_INLINE TAO_LF_Event_Binder::TAO_LF_Event_Binder | ( | TAO_LF_Event * | event,
|  | TAO_LF_Follower * | folloer
| ) |

| Constructor.

TAO_LF_Event_Binder::~TAO_LF_Event_Binder | ( | void |  | ) |

| Destructor.

## Member Data Documentation

TAO_LF_Event* TAO_LF_Event_Binder::event_`[private]`

| Keep a reference to the leader follower.

The documentation for this class was generated from the following files:

- LF_Event_Binder.h
- LF_Event_Binder.cpp
- LF_Event_Binder.inl